CREATE TABLE BJEELOGMESSAGES (
		JOBID CHAR(250) NOT NULL,
		MSGSEQ INTEGER NOT NULL,
		MSGTXT CHAR(250)
	)
	DATA CAPTURE NONE ;

CREATE TABLE LOCALJOBSTATUS (
		BJEENAME CHAR(250) NOT NULL,
		JOBID CHAR(250) NOT NULL,
		STATUS INTEGER NOT NULL,
		RC INTEGER NOT NULL,
		UPDATECOUNT INTEGER NOT NULL,
		LASTUPDATE CHAR(250),
		STATUSTXT CHAR(250),
		CURRENTSTEP CHAR(250),
		SUSPENDEDUNTIL CHAR(250)
	)
	DATA CAPTURE NONE ;

CREATE TABLE ABSTRACTRESOURCE (
		JOBID CHAR(250) NOT NULL,
		NAME CHAR(250) NOT NULL,
		TYPE1 CHAR(250),
		STRINGVALUE CHAR(250),
		INTEGERVALUE INTEGER
	)
	DATA CAPTURE NONE ;

CREATE TABLE CHECKPOINTREPOSITORY (
		JOBID CHAR(250) NOT NULL,
		BATCHDATASTREAMNAME CHAR(250) NOT NULL,
		RESTARTTOKEN CHAR(250),
		STEPNAME CHAR(250) NOT NULL
	)
	DATA CAPTURE NONE ;

CREATE TABLE JOBSTEPSTATUS (
		JOBID CHAR(250) NOT NULL,
		STEPNAME CHAR(250) NOT NULL,
		RC INTEGER NOT NULL,
		STEPSTATUS INTEGER NOT NULL
	)
	DATA CAPTURE NONE ;

CREATE TABLE JOBRESULTS (
		JOBID CHAR(250) NOT NULL,
		RC INTEGER NOT NULL,
		INITIALIZED SMALLINT NOT NULL
	)
	DATA CAPTURE NONE ;

CREATE TABLE POJOSTEP (
		JOBID CHAR(250) NOT NULL,
		STEPID CHAR(250) NOT NULL
	)
	DATA CAPTURE NONE ;

ALTER TABLE BJEELOGMESSAGES ADD CONSTRAINT PK_BJEELOGMESSAGES PRIMARY KEY (MSGSEQ, JOBID);

ALTER TABLE LOCALJOBSTATUS ADD CONSTRAINT PK_LOCALJOBSTATUS PRIMARY KEY (BJEENAME, JOBID);

ALTER TABLE ABSTRACTRESOURCE ADD CONSTRAINT PK_ABSTRACTRESOUR1 PRIMARY KEY (JOBID, NAME);

ALTER TABLE CHECKPOINTREPOSITORY ADD CONSTRAINT PK_CHECKPOINTREPO2 PRIMARY KEY (JOBID, STEPNAME, BATCHDATASTREAMNAME);

ALTER TABLE JOBSTEPSTATUS ADD CONSTRAINT PK_JOBSTEPSTATUS PRIMARY KEY (JOBID, STEPNAME);

ALTER TABLE JOBRESULTS ADD CONSTRAINT PK_JOBRESULTS PRIMARY KEY (JOBID);

ALTER TABLE POJOSTEP ADD CONSTRAINT PK_POJOSTEP PRIMARY KEY (JOBID, STEPID);

